beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephen Sisk (JIRA)" <j...@apache.org>
Subject [jira] [Created] (BEAM-2347) Elasticsearch IO - test ES 5?
Date Tue, 23 May 2017 17:46:05 GMT
Stephen Sisk created BEAM-2347:
----------------------------------

             Summary: Elasticsearch IO - test ES 5? 
                 Key: BEAM-2347
                 URL: https://issues.apache.org/jira/browse/BEAM-2347
             Project: Beam
          Issue Type: Bug
          Components: sdk-java-extensions
            Reporter: Stephen Sisk
            Assignee: Davor Bonaci


Currently, the ES IO transform uses the v5 REST API client, but the integration tests only
work against ES 2x

I'm guessing this is because the ES 5x java client only supports java 8 - https://discuss.elastic.co/t/elasticsearch-5-0-java-api-5-0-on-jdk-7/68222

I don't know ES particularly well, but I'm guessing it'd be nice to make the ITs work against
ES 5 as well as ES 2. It seems like there are two options for this: 
1. Make the ITs java-8 only (as is done in HadoopInputFormat ITs)
2. Switch the ITs to use the ES5 REST API client, which supports java 7.

[~echauchot] am I missing anything here?



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message